# 1. Subscription: Ereignisse abrufen

Folge Abonnements wenn `EINFÜGEN`/`ÄNDERN`/`ENTFERNEN` Aktionen mit "Farm", "Feld", "FieldSatelliteImage", "RasterAnalysisMap", "VectorAnalysisMap" und anderen Entitäten stattfinden.

Der Abonnementmechanismus basiert auf MQTT und WebSocket. Unsere Empfehlung ist, die Integration zu beginnen, indem Sie die [AWS AppSync Subscription Artikel](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
Abonnementereignisse werden gesendet, sobald das Ereignis im GeoPard-Backend stattgefunden hat.
{% endhint %}

{% hint style="info" %}
Jedes Abonnementereignis hat eine eindeutige Kennung namens `uuid`, die nützlich ist, um verarbeitete und verpasste Ereignisse zu filtern, die von angefordert wurden [82. Abfrage: Abonnementereignisse wiederherstellen](/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/82.-mutation-abo-ereignisse-wiederherstellen.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    Aktion
    nodePath {
      Entität
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/1.-subscription-ereignisse-abrufen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
